//---------------------------------------------------------------------------

#ifndef testPriorityUnitH
#define testPriorityUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>

//---------------------------------------------------------------------------
class TRaceThread : public TThread
{
  private:
    TProgressBar *FPBar;
    TLabel       *FPLabel;
    int           FTotalCount;
    void __fastcall Step();
    void __fastcall DoReset();
  protected:
    virtual void __fastcall Execute();
  public:
    __fastcall TRaceThread(bool susp, TProgressBar *bar, TLabel *label);
    void __fastcall ResetData();
};

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TCheckBox *CheckBox1;
  TCheckBox *CheckBox2;
  TCheckBox *CheckBox3;
  TCheckBox *CheckBox4;
  TCheckBox *CheckBox5;
  TCheckBox *CheckBox6;
  TCheckBox *CheckBox7;
  TProgressBar *ProgressBar1;
  TProgressBar *ProgressBar2;
  TProgressBar *ProgressBar3;
  TProgressBar *ProgressBar4;
  TProgressBar *ProgressBar5;
  TProgressBar *ProgressBar6;
  TProgressBar *ProgressBar7;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TLabel *Label7;
  TEdit *Edit1;
  TButton *Button1;
  TButton *Button2;
  TButton *Button3;
  TButton *Button4;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall CheckBox2Click(TObject *Sender);
  void __fastcall CheckBox3Click(TObject *Sender);
  void __fastcall CheckBox4Click(TObject *Sender);
  void __fastcall CheckBox5Click(TObject *Sender);
  void __fastcall CheckBox6Click(TObject *Sender);
  void __fastcall CheckBox7Click(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
